## twine 1.13.0

=== docs/requirements.txt ===
doc8>=0.8.0
readme-renderer>=17.4
releases>=1.4.0
Sphinx>=1.7.0
sphinx_rtd_theme>=0.2.4
tox>=2.9.1
twine>=1.10.0

## twine 1.3.1

=== debian/changelog ===
twine (1.3.1-1~ubuntu14.04.1) trusty-backports; urgency=medium

  * No-change backport to trusty (LP: #1397405)

 -- Scott Kitterman <scott@kitterman.com>  Fri, 28 Nov 2014 13:39:57 -0500

twine (1.3.1-1) unstable; urgency=medium

  * Initial release. (Closes: #745342)

 -- Zygmunt Krynicki <zygmunt.krynicki@canonical.com>  Sun, 20 Apr 2014 19:55:00 +0200

=== debian/control ===
Source: twine
Section: utils
Priority: optional
Maintainer: Zygmunt Krynicki <zygmunt.krynicki@canonical.com>
Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python3-all,
               python3-pkg-resources,
               python3-pkginfo,
               python3-releases (>= 0.6.1),
               python3-requests (>= 2.0),
               python3-setuptools,
               python3-sphinx
Standards-Version: 3.9.5
X-Python3-Version: >= 3.3
Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/twine/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/twine/trunk/
Homepage: https://github.com/dstufft/twine

Package: twine
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: utility for interacting with PyPI
 Twine is a tool for uploading distributions (in the python meaning) to PyPi.
 .
 Why Should I Use This?
 .
 The biggest reason to use twine is that python setup.py upload uploads files
 over plaintext. This means anytime you use it you expose your username and
 password to a MITM attack. Twine uses only verified TLS to upload to PyPI
 protecting your credentials from theft.
 .
 Secondly it allows you to precreate your distribution files. python setup.py
 upload only allows you to upload something that you’ve created in the same
 command invocation. This means that you cannot test the exact file you’re
 going to upload to PyPI to ensure that it works before uploading it.
 .
 Finally it allows you to pre-sign your files and pass the .asc files into the
 command line invocation (twine upload twine-1.0.1.tar.gz
 twine-1.0.1.tar.gz.asc). This enables you to be assured that you’re typing
 your gpg passphrase into gpg itself and not anything else since you will be
 the one directly executing gpg --detach-sign -a <filename>.
 .
 Features:
 .
  - Verified HTTPS Connections
  - Uploading doesn’t require executing setup.py
  - Uploading files that have already been created, allowing testing of
    distributions before release
  - Supports uploading any packaging format (including wheels).

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_NAME=twine

%:
	dh $@ --with=python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build --buildsystem=pybuild
	# Build sphinx html documentation and man pages 
	python3 setup.py build_sphinx -b html
	python3 setup.py build_sphinx -b man

=== debian/watch ===
version=3
opts="uversionmangle=s/b/~b/g;s/a/~a/g" \
    http://pypi.python.org/packages/source/t/twine/twine-(.*)\.tar\.gz

## twine 1.5.0

=== debian/changelog ===
twine (1.5.0-1) unstable; urgency=medium

  * New upstream release
  * debian/watch: use the new pypi redirector
  * debian/copyright: update with new authors
  * debian/manpages: remove the automatically-generated manual page until
    upstream has some documentation. This is also tracked upstream as
    https://github.com/pypa/twine/issues/11 
  * debian/lintian-overrides: add an override for the lower-case 'python' used
    in the long description as a code example.

 -- Zygmunt Krynicki <zygmunt.krynicki@canonical.com>  Tue, 21 Jul 2015 21:43:17 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python3-requests (>= 2.0),
                python3-setuptools,
                python3-sphinx
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 X-Python3-Version: >= 3.3
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/twine/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/twine/trunk/
@@ -22,9 +22,9 @@
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}
 Description: utility for interacting with PyPI
- Twine is a tool for uploading distributions (in the python meaning) to PyPi.
+ Twine is a tool for uploading distributions (in the Python meaning) to PyPi.
  .
- Why Should I Use This?
+ Why should twine be used over the traditional approach?
  .
  The biggest reason to use twine is that python setup.py upload uploads files
  over plaintext. This means anytime you use it you expose your username and

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/twine/twine-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## twine 1.8.1

=== debian/changelog ===
twine (1.8.1-2) unstable; urgency=medium

  * d/control: Add python3-setuptools to Depends.  (Closes: #814379)
  * d/tests: Add very simple autopkgtests.

 -- Barry Warsaw <barry@debian.org>  Wed, 14 Dec 2016 18:09:06 -0500

twine (1.8.1-1) unstable; urgency=medium

  [ Zygmunt Krynicki ]
  * Refresh dependencies (still missing python3-requests-toolbelt)

  [ Barry Warsaw ]
  * New upstream release.
  * d/control:
    - Bump Standards-Version to 3.9.8 with no other changes needed.
    - Add python3-sphinx-rtd-theme to Build-Depends.
    - With permission, move PAPT into Maintainer, with Zygmunt and
      myself as Uploaders.
  * d/twine.manpages: Added to correctly install the man page.

 -- Barry Warsaw <barry@debian.org>  Thu, 25 Aug 2016 10:47:14 -0400

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: twine
 Section: utils
 Priority: optional
-Maintainer: Zygmunt Krynicki <zygmunt.krynicki@canonical.com>
-Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Uploaders: Zygmunt Krynicki <zygmunt.krynicki@canonical.com>,
+           Barry Warsaw <barry@debian.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
                python3-all,
                python3-pkg-resources,
-               python3-pkginfo,
+               python3-pkginfo (>= 1.0),
                python3-releases (>= 0.6.1),
-               python3-requests (>= 2.0),
-               python3-setuptools,
-               python3-sphinx
-Standards-Version: 3.9.6
+               python3-requests (>= 2.3.0),
+               python3-setuptools (>= 0.7),
+               python3-sphinx,
+               python3-sphinx-rtd-theme,
+Standards-Version: 3.9.8
 X-Python3-Version: >= 3.3
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/twine/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/twine/trunk/
@@ -20,7 +22,9 @@
 
 Package: twine
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends: python3-setuptools,
+         ${misc:Depends},
+         ${python3:Depends},
 Description: utility for interacting with PyPI
  Twine is a tool for uploading distributions (in the Python meaning) to PyPi.
  .

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,6 @@
 
 override_dh_auto_build:
 	dh_auto_build --buildsystem=pybuild
-	# Build sphinx html documentation and man pages 
+	# Build sphinx html documentation and man pages
 	python3 setup.py build_sphinx -b html
 	python3 setup.py build_sphinx -b man

## twine 1.10.0

=== debian/changelog ===
twine (1.10.0-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * Team upload.
  * New upstream release. (Closes: #825341, #884649)
    - Has useful documentation. (Closes: #827568, #827569)
  * Add symlink to ease finding rst docs.
  * Drop patches, superseded upstream.
  * Update copyright.
  * Update Homepage to point to the canonical GitHub repo.
  * Migrate to git, pq, and salsa.debian.org.
  * Add myself to uploaders.
  * Declare Rules-Requires-Root: no.
  * Bump debhelper compat to 10.
  * Bump Standards-Version to 4.1.3, no changes needed.
  * Patch no-needs-sphinx: Don't requires sphinx 1.7.0.
  * Don't compress HTML in docs.
  * Lintian override PyPI capitalization.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/watch: Use https protocol

 -- Stefano Rivera <stefanor@debian.org>  Fri, 16 Mar 2018 17:13:20 -0700

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Zygmunt Krynicki <zygmunt.krynicki@canonical.com>,
            Barry Warsaw <barry@debian.org>,
-Build-Depends: debhelper (>= 9),
+           Stefano Rivera <stefanor@debian.org>
+Build-Depends: debhelper (>= 10),
                dh-python,
                python3-all,
                python3-pkg-resources,
@@ -13,18 +14,17 @@
                python3-requests (>= 2.3.0),
                python3-setuptools (>= 0.7),
                python3-sphinx,
-               python3-sphinx-rtd-theme,
-Standards-Version: 3.9.8
+               python3-sphinx-rtd-theme
+Standards-Version: 4.1.3
 X-Python3-Version: >= 3.3
-Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/twine/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/twine/trunk/
-Homepage: https://github.com/dstufft/twine
+Vcs-Git: https://salsa.debian.org/python-team/applications/twine.git
+Vcs-Browser: https://salsa.debian.org/python-team/applications/twine
+Homepage: https://github.com/pypa/twine
+Rules-Requires-Root: no
 
 Package: twine
 Architecture: all
-Depends: python3-setuptools,
-         ${misc:Depends},
-         ${python3:Depends},
+Depends: python3-setuptools, ${misc:Depends}, ${python3:Depends}
 Description: utility for interacting with PyPI
  Twine is a tool for uploading distributions (in the Python meaning) to PyPi.
  .

=== debian/tests/control ===
Test-Command: twine --help

Test-Command: twine --version

## twine 1.11.0

=== debian/changelog ===
twine (1.11.0-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright.
  * Install README.rst too, due to the filesystem structure, it wasn't
    included in our rst directory. (Closes: #827568, again)
  * Bump pkginfo dependency (following upstream).

 -- Stefano Rivera <stefanor@debian.org>  Mon, 19 Mar 2018 22:57:54 -0700

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                dh-python,
                python3-all,
                python3-pkg-resources,
-               python3-pkginfo (>= 1.0),
+               python3-pkginfo (>= 1.4.2),
                python3-releases (>= 0.6.1),
                python3-requests (>= 2.3.0),
                python3-setuptools (>= 0.7),

## twine 1.12.1

=== debian/changelog ===
twine (1.12.1-2) unstable; urgency=medium

  * Add missing Depends for sphinx docs. (Closes: #911069)
  * Bump Standards-Version to 4.3.0, no changes needed.
  * Minimize signing-key.asc.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 29 Dec 2018 15:29:04 +0100

twine (1.12.1-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * New upstream release (LP: #1775886)
  * New B-D: python3-readme-renderer.
  * Bump debhelper compat level to 11.
  * Bump Standards-Version to 4.2.1, no changes needed.

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python3-Version field

 -- Stefano Rivera <stefanor@debian.org>  Sat, 13 Oct 2018 14:42:11 +0200

=== debian/control ===
--- 
+++ 
@@ -5,18 +5,18 @@
 Uploaders: Zygmunt Krynicki <zygmunt.krynicki@canonical.com>,
            Barry Warsaw <barry@debian.org>,
            Stefano Rivera <stefanor@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                dh-python,
                python3-all,
                python3-pkg-resources,
                python3-pkginfo (>= 1.4.2),
+               python3-readme-renderer (>= 17.4),
                python3-releases (>= 0.6.1),
                python3-requests (>= 2.3.0),
                python3-setuptools (>= 0.7),
                python3-sphinx,
                python3-sphinx-rtd-theme
-Standards-Version: 4.1.3
-X-Python3-Version: >= 3.3
+Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/python-team/applications/twine.git
 Vcs-Browser: https://salsa.debian.org/python-team/applications/twine
 Homepage: https://github.com/pypa/twine
@@ -24,7 +24,10 @@
 
 Package: twine
 Architecture: all
-Depends: python3-setuptools, ${misc:Depends}, ${python3:Depends}
+Depends: python3-setuptools,
+         ${misc:Depends},
+         ${python3:Depends},
+         ${sphinxdoc:Depends}
 Description: utility for interacting with PyPI
  Twine is a tool for uploading distributions (in the Python meaning) to PyPi.
  .

=== debian/rules ===
--- 
+++ 
@@ -9,3 +9,6 @@
 	# Build sphinx html documentation and man pages
 	python3 setup.py build_sphinx -b html
 	python3 setup.py build_sphinx -b man
+
+override_dh_compress:
+	dh_compress -X.html

## twine 1.13.0

=== debian/changelog ===
twine (1.13.0-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright.
  * Recommend python3-keyring, used for credential storage when available.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 25 Feb 2019 11:49:33 -0800

=== debian/control ===
--- 
+++ 
@@ -28,6 +28,7 @@
          ${misc:Depends},
          ${python3:Depends},
          ${sphinxdoc:Depends}
+Recommends: python3-keyring
 Description: utility for interacting with PyPI
  Twine is a tool for uploading distributions (in the Python meaning) to PyPi.
  .

## twine 2.0.0

=== docs/requirements.txt ===
--- 
+++ 
@@ -5,3 +5,6 @@
 sphinx_rtd_theme>=0.2.4
 tox>=2.9.1
 twine>=1.10.0
+
+# workaround for #492
+semantic-version<2.7

=== debian/changelog ===
twine (2.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.1, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 04 Oct 2019 17:33:07 +0300

twine (1.15.0-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * New upstream release.
  * Update copyright.
  * Bump debhelper compat level to 12.
  * Un-version build-dependencies that predate oldstable.

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 18 Sep 2019 18:50:10 -0700

=== debian/control ===
--- 
+++ 
@@ -5,18 +5,18 @@
 Uploaders: Zygmunt Krynicki <zygmunt.krynicki@canonical.com>,
            Barry Warsaw <barry@debian.org>,
            Stefano Rivera <stefanor@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
                python3-pkg-resources,
                python3-pkginfo (>= 1.4.2),
-               python3-readme-renderer (>= 17.4),
-               python3-releases (>= 0.6.1),
-               python3-requests (>= 2.3.0),
-               python3-setuptools (>= 0.7),
+               python3-readme-renderer,
+               python3-releases,
+               python3-requests,
+               python3-setuptools,
                python3-sphinx,
                python3-sphinx-rtd-theme
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Git: https://salsa.debian.org/python-team/applications/twine.git
 Vcs-Browser: https://salsa.debian.org/python-team/applications/twine
 Homepage: https://github.com/pypa/twine

## twine 3.1.0

=== debian/changelog ===
twine (3.1.0-1) unstable; urgency=medium

  * New upstream release.
    - Now requires use of python3-keyring.
  * Build-Depend on python3-importlib-metadata, python3-setuptools-scm, as now
    required upstream.
  * Depend on python3-importlib-metadata, as required upstream.
  * Run tests using pytest, as upstream does.
    - Build-Depend on test dependencies.
    - Make egg_info available to tests.
  * Patch: no-intersphinx: Disable the unused intersphinx mapping, to avoid
    requesting it during build.
  * Patch: no-jaraco.envs: Remove infra for integration tests that we don't
    run.
  * Patch skip-network-tests: Skip tests that require a network connection.
  * Add autopkgtest to run unit tests.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 27 Nov 2019 11:57:17 -0800

## twine 3.1.1

=== docs/requirements.txt ===
doc8>=0.8.0
readme-renderer>=17.4
releases>=1.4.0
Sphinx>=1.7.0
sphinx_rtd_theme>=0.2.4

# workaround for #492
semantic-version<2.7

=== debian/changelog ===
twine (3.1.1-1) unstable; urgency=medium

  * New upstream point release.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 24 Dec 2019 09:36:25 +0200

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,23 @@
 Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
+               python3-importlib-metadata,
+               python3-keyring,
+               python3-munch,
                python3-pkg-resources,
                python3-pkginfo (>= 1.4.2),
+               python3-portend,
+               python3-pretend,
+               python3-pytest,
                python3-readme-renderer,
                python3-releases,
                python3-requests,
+               python3-requests-toolbelt,
                python3-setuptools,
+               python3-setuptools-scm,
                python3-sphinx,
-               python3-sphinx-rtd-theme
+               python3-sphinx-rtd-theme,
+               python3-tqdm
 Standards-Version: 4.4.1
 Vcs-Git: https://salsa.debian.org/python-team/applications/twine.git
 Vcs-Browser: https://salsa.debian.org/python-team/applications/twine
@@ -24,7 +33,8 @@
 
 Package: twine
 Architecture: all
-Depends: python3-setuptools,
+Depends: python3-importlib-metadata,
+         python3-setuptools,
          ${misc:Depends},
          ${python3:Depends},
          ${sphinxdoc:Depends}

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/twine/twine-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## twine 3.2.0

=== docs/requirements.txt ===
doc8>=0.8.0
readme-renderer>=17.4
releases>=1.4.0
Sphinx>=1.7.0
sphinx_rtd_theme>=0.2.4

=== debian/changelog ===
twine (3.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Update copyright.
  * New Build-Depends: python3-colorama, python3-rfc3986.
  * Bump Standards-Version to 4.5.0, no changes needed.
  * Patch skip-test-coverage: Disable coverage in pytest.
  * Drop debian/upstream/signing-key.asc, upstream hasn't signed uploads in
    years.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 24 Jun 2020 13:55:05 -0700

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
 Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
+               python3-colorama (>= 0.4.3),
                python3-importlib-metadata,
                python3-keyring,
                python3-munch,
@@ -20,12 +21,13 @@
                python3-releases,
                python3-requests,
                python3-requests-toolbelt,
+               python3-rfc3986 (>= 1.4.0),
                python3-setuptools,
                python3-setuptools-scm,
                python3-sphinx,
                python3-sphinx-rtd-theme,
                python3-tqdm
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/python-team/applications/twine.git
 Vcs-Browser: https://salsa.debian.org/python-team/applications/twine
 Homepage: https://github.com/pypa/twine

## twine 3.3.0

=== docs/requirements.txt ===
doc8>=0.8.0
readme-renderer>=17.4
Sphinx>=1.7.0
sphinx_rtd_theme>=0.2.4

=== debian/changelog ===
twine (3.3.0-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * New upstream release.
  * Refresh patches.
  * Drop patch no-needs-sphinx, no longer needed.
  * Drop patch no-jaraco.envs, no longer needed.
  * Drop Barry Warsaw from Uploaders. Thanks for the help. (Closes: #970188)
  * Patch: no-pytest-socket: pytest-socket isn't available in Debian.
  * Extend upstream metadata.
  * Bump Standards-Version to 4.5.1, no changes needed.
  * Bump watch file format to 4, no changes needed.
  * Update copyright holders.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Refer to common license file for Apache-2.0.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 25 Dec 2020 11:40:37 -0800

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: twine
 Section: utils
 Priority: optional
-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Zygmunt Krynicki <zygmunt.krynicki@canonical.com>,
-           Barry Warsaw <barry@debian.org>,
            Stefano Rivera <stefanor@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-python,
@@ -27,9 +26,9 @@
                python3-sphinx,
                python3-sphinx-rtd-theme,
                python3-tqdm
-Standards-Version: 4.5.0
-Vcs-Git: https://salsa.debian.org/python-team/applications/twine.git
-Vcs-Browser: https://salsa.debian.org/python-team/applications/twine
+Standards-Version: 4.5.1
+Vcs-Git: https://salsa.debian.org/python-team/packages/twine.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/twine
 Homepage: https://github.com/pypa/twine
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -10,5 +10,13 @@
 	python3 setup.py build_sphinx -b html
 	python3 setup.py build_sphinx -b man
 
+override_dh_auto_test:
+	mkdir .pybuild/egg
+	PYTHONPATH=$(CURDIR)/.pybuild/egg \
+	  dh_auto_test -- \
+	  --before-test '{interpreter} {dir}/setup.py egg_info --egg-base={dir}/.pybuild/egg' \
+	  --test-pytest \
+	  --test-args '--ignore tests/test_integration.py'
+
 override_dh_compress:
 	dh_compress -X.html

=== debian/tests/control ===
Test-Command: twine --help
Restrictions: superficial

Test-Command: twine --version
Restrictions: superficial

Tests: unittests
Depends: python3-munch, python3-portend, python3-pretend, python3-pytest, twine

## twine 3.4.2

=== debian/changelog ===
twine (3.4.2-1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Bump copyright years.
  * Patch: Restore setup.py until we support PEP517 builds in Debian.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 22 Jul 2021 07:46:37 -0400

twine (3.4.1-1) experimental; urgency=medium

  * New upstream release.
  * Upstream migrated from setuptools/pkg_resources to importlib_metadata.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 17 May 2021 17:17:00 -0400

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,9 @@
                dh-python,
                python3-all,
                python3-colorama (>= 0.4.3),
-               python3-importlib-metadata,
+               python3-importlib-metadata (>= 3.6),
                python3-keyring,
                python3-munch,
-               python3-pkg-resources,
                python3-pkginfo (>= 1.4.2),
                python3-portend,
                python3-pretend,
@@ -34,8 +33,7 @@
 
 Package: twine
 Architecture: all
-Depends: python3-importlib-metadata,
-         python3-setuptools,
+Depends: python3-importlib-metadata (>= 3.6),
          ${misc:Depends},
          ${python3:Depends},
          ${sphinxdoc:Depends}

## twine 3.5.0

=== docs/requirements.txt ===
doc8>=0.8.0
furo>=2021.10.09
readme-renderer>=17.4
Sphinx>=4.2.0
sphinxcontrib-programoutput>=0.17

=== debian/changelog ===
twine (3.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Patch: Revert Sphinx docs back to the readthedocs.org theme, which is
    packaged in Debian.
  * Drop releases build-dep, unused since 3.3.0.
  * Build-Depend on python3-sphinxcontrib.programoutput, now used in docs.
  * Make a fake twine binary available to sphinx during build, for
    sphinxcontrib.programoutput.
  * Replace no-intersphinx patch with local-intersphinx, linking to Debian
    packaged intersphinx inventories.
  * Bump Standards-Version to 4.6.0, no changes needed.
  * Bump debhelper compat level to 13.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 05 Nov 2021 23:50:51 -0700

twine (3.4.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 21 Aug 2021 18:57:07 -0700

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,12 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Zygmunt Krynicki <zygmunt.krynicki@canonical.com>,
            Stefano Rivera <stefanor@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
+               python-requests-doc,
                python3-all,
                python3-colorama (>= 0.4.3),
+               python3-doc,
                python3-importlib-metadata (>= 3.6),
                python3-keyring,
                python3-munch,
@@ -16,7 +18,6 @@
                python3-pretend,
                python3-pytest,
                python3-readme-renderer,
-               python3-releases,
                python3-requests,
                python3-requests-toolbelt,
                python3-rfc3986 (>= 1.4.0),
@@ -24,8 +25,9 @@
                python3-setuptools-scm,
                python3-sphinx,
                python3-sphinx-rtd-theme,
+               python3-sphinxcontrib.programoutput,
                python3-tqdm
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/python-team/packages/twine.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/twine
 Homepage: https://github.com/pypa/twine

=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,13 @@
 
 override_dh_auto_build:
 	dh_auto_build --buildsystem=pybuild
-	# Build sphinx html documentation and man pages
-	python3 setup.py build_sphinx -b html
-	python3 setup.py build_sphinx -b man
+	# For sphinxcontrib.programoutput:
+	mkdir .pybuild/bin
+	printf '#!/bin/sh\nset -euf\nPYTHONPATH=$(CURDIR) exec python3 -m twine "$$@"\n' > .pybuild/bin/twine
+	chmod +x .pybuild/bin/twine
+	PATH=$(CURDIR)/.pybuild/bin:$$PATH twine --help  # Sanity chcek
+	PATH=$(CURDIR)/.pybuild/bin:$$PATH python3 -m sphinx -b html docs docs/_build/html
+	PATH=$(CURDIR)/.pybuild/bin:$$PATH python3 -m sphinx -b man docs docs/_build/man
 
 override_dh_auto_test:
 	mkdir .pybuild/egg

## twine 3.6.0

=== debian/changelog ===
twine (3.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Support nodoc builds.
  * Declare dh addons through dependencies.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 14 Nov 2021 10:37:03 -0800

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,12 @@
            Stefano Rivera <stefanor@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
-               python-requests-doc,
+               dh-sequence-python3,
+               dh-sequence-sphinxdoc <!nodoc>,
+               python-requests-doc <!nodoc>,
                python3-all,
                python3-colorama (>= 0.4.3),
-               python3-doc,
+               python3-doc <!nodoc>,
                python3-importlib-metadata (>= 3.6),
                python3-keyring,
                python3-munch,
@@ -23,9 +25,9 @@
                python3-rfc3986 (>= 1.4.0),
                python3-setuptools,
                python3-setuptools-scm,
-               python3-sphinx,
-               python3-sphinx-rtd-theme,
-               python3-sphinxcontrib.programoutput,
+               python3-sphinx <!nodoc>,
+               python3-sphinx-rtd-theme <!nodoc>,
+               python3-sphinxcontrib.programoutput <!nodoc>,
                python3-tqdm
 Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/python-team/packages/twine.git

## twine 3.7.0

=== debian/changelog ===
twine (3.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump the python3-pkginfo dependency, following upstream.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 05 Dec 2021 12:30:20 -0400

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                python3-importlib-metadata (>= 3.6),
                python3-keyring,
                python3-munch,
-               python3-pkginfo (>= 1.4.2),
+               python3-pkginfo (>= 1.8.1),
                python3-portend,
                python3-pretend,
                python3-pytest,
@@ -38,6 +38,7 @@
 Package: twine
 Architecture: all
 Depends: python3-importlib-metadata (>= 3.6),
+         python3-pkginfo (>= 1.8.1),
          ${misc:Depends},
          ${python3:Depends},
          ${sphinxdoc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -2,10 +2,11 @@
 export PYBUILD_NAME=twine
 
 %:
-	dh $@ --with=python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build --buildsystem=pybuild
+ifeq ($(filter nodoc,$(DEB_BUILD_OPTIONS)),)
 	# For sphinxcontrib.programoutput:
 	mkdir .pybuild/bin
 	printf '#!/bin/sh\nset -euf\nPYTHONPATH=$(CURDIR) exec python3 -m twine "$$@"\n' > .pybuild/bin/twine
@@ -13,6 +14,7 @@
 	PATH=$(CURDIR)/.pybuild/bin:$$PATH twine --help  # Sanity chcek
 	PATH=$(CURDIR)/.pybuild/bin:$$PATH python3 -m sphinx -b html docs docs/_build/html
 	PATH=$(CURDIR)/.pybuild/bin:$$PATH python3 -m sphinx -b man docs docs/_build/man
+endif
 
 override_dh_auto_test:
 	mkdir .pybuild/egg

## twine 3.7.1

=== debian/changelog ===
twine (3.7.1-1) unstable; urgency=medium

  * New upstream point-release.
  * Build with pybuild's pep517 plugin.
    - Drop patch setup.py, no longer needed.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 14 Dec 2021 10:12:48 -0400

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Zygmunt Krynicki <zygmunt.krynicki@canonical.com>,
            Stefano Rivera <stefanor@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-python-pep517,
                dh-sequence-python3,
                dh-sequence-sphinxdoc <!nodoc>,
                python-requests-doc <!nodoc>,

## twine 3.8.0

=== debian/changelog ===
twine (3.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Build-Depends: dh-python-pep517 is replaced by pybuild-plugin-pyproject.
  * Patch: Tweak test_make_user_agent_string to pass under Debian's build.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 05 Feb 2022 20:51:04 -0400

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Uploaders: Zygmunt Krynicki <zygmunt.krynicki@canonical.com>,
            Stefano Rivera <stefanor@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-python-pep517,
                dh-sequence-python3,
                dh-sequence-sphinxdoc <!nodoc>,
+               pybuild-plugin-pyproject,
                python-requests-doc <!nodoc>,
                python3-all,
                python3-colorama (>= 0.4.3),

=== debian/rules ===
--- 
+++ 
@@ -17,10 +17,7 @@
 endif
 
 override_dh_auto_test:
-	mkdir .pybuild/egg
-	PYTHONPATH=$(CURDIR)/.pybuild/egg \
-	  dh_auto_test -- \
-	  --before-test '{interpreter} {dir}/setup.py egg_info --egg-base={dir}/.pybuild/egg' \
+	dh_auto_test -- \
 	  --test-pytest \
 	  --test-args '--ignore tests/test_integration.py'

## twine 4.0.0

=== debian/changelog ===
twine (4.0.0-2) unstable; urgency=medium

  * Depend on python3-build and python3-setuptools for the autopkgtest.
  * Pass --accept-upstream-versions to dh_python3, upstream sets minimum
    versions sensibly.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 06 Apr 2022 17:06:01 -0400

twine (4.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Drop patch importlib-metadata-name, superseded upstream.
  * Replace Build-Depends on python3-colorama and python3-tqdm with
    python3-rich.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 03 Apr 2022 13:48:23 -0400

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
                pybuild-plugin-pyproject,
                python-requests-doc <!nodoc>,
                python3-all,
-               python3-colorama (>= 0.4.3),
                python3-doc <!nodoc>,
                python3-importlib-metadata (>= 3.6),
                python3-keyring,
@@ -23,12 +22,12 @@
                python3-requests,
                python3-requests-toolbelt,
                python3-rfc3986 (>= 1.4.0),
+               python3-rich (>= 12),
                python3-setuptools,
                python3-setuptools-scm,
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
-               python3-sphinxcontrib.programoutput <!nodoc>,
-               python3-tqdm
+               python3-sphinxcontrib.programoutput <!nodoc>
 Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/python-team/packages/twine.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/twine

=== debian/rules ===
--- 
+++ 
@@ -23,3 +23,6 @@
 
 override_dh_compress:
 	dh_compress -X.html
+
+override_dh_python3:
+	dh_python3 --accept-upstream-versions

## twine 4.0.1

=== debian/changelog ===
twine (4.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Drop patch readme-renderer-35, superseded upstream.
  * Unset TERM before running tests, TERM=unknown on Ubuntu buildds was
    causing a failure where upstream tests expected rich colours.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 04 Jun 2022 14:35:21 +0100

twine (4.0.0-3) unstable; urgency=medium

  * Patch: Support (and require) python3-readme-renderer (>= 35).
    (Closes: #1010428)
  * Drop unnecessary versioned Depends, we are now using
    --accept-upstream-versions.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 01 May 2022 11:05:13 -0400

=== debian/control ===
Source: twine
Section: utils
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Zygmunt Krynicki <zygmunt.krynicki@canonical.com>,
 Stefano Rivera <stefanor@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc <!nodoc>,
 pybuild-plugin-pyproject,
 python-requests-doc <!nodoc>,
 python3-all,
 python3-doc <!nodoc>,
 python3-importlib-metadata (>= 3.6),
 python3-keyring,
 python3-munch,
 python3-pkginfo (>= 1.8.1),
 python3-portend,
 python3-pretend,
 python3-pytest,
 python3-readme-renderer (>= 35),
 python3-requests,
 python3-requests-toolbelt,
 python3-rfc3986 (>= 1.4.0),
 python3-rich (>= 12),
 python3-setuptools,
 python3-setuptools-scm,
 python3-sphinx <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
 python3-sphinxcontrib.programoutput <!nodoc>
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/python-team/packages/twine.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/twine
Homepage: https://github.com/pypa/twine
Rules-Requires-Root: no

Package: twine
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, ${sphinxdoc:Depends}
Recommends: python3-keyring
Description: utility for interacting with PyPI
 Twine is a tool for uploading distributions (in the Python meaning) to PyPi.
 .
 Why should twine be used over the traditional approach?
 .
 The biggest reason to use twine is that python setup.py upload uploads files
 over plaintext. This means anytime you use it you expose your username and
 password to a MITM attack. Twine uses only verified TLS to upload to PyPI
 protecting your credentials from theft.
 .
 Secondly it allows you to precreate your distribution files. python setup.py
 upload only allows you to upload something that you’ve created in the same
 command invocation. This means that you cannot test the exact file you’re
 going to upload to PyPI to ensure that it works before uploading it.
 .
 Finally it allows you to pre-sign your files and pass the .asc files into the
 command line invocation (twine upload twine-1.0.1.tar.gz
 twine-1.0.1.tar.gz.asc). This enables you to be assured that you’re typing
 your gpg passphrase into gpg itself and not anything else since you will be
 the one directly executing gpg --detach-sign -a <filename>.
 .
 Features:
 .
  - Verified HTTPS Connections
  - Uploading doesn’t require executing setup.py
  - Uploading files that have already been created, allowing testing of
    distributions before release
  - Supports uploading any packaging format (including wheels).

## twine 4.0.2

=== debian/changelog ===
twine (4.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch skip-test-coverage, superseded upstream.
  * Bump Standards-Version to 4.6.1, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 09 Dec 2022 18:10:09 -0400

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
  python3-sphinx <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
  python3-sphinxcontrib.programoutput <!nodoc>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/python-team/packages/twine.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/twine
 Homepage: https://github.com/pypa/twine

## twine 5.0.0

=== debian/changelog ===
twine (5.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Build-Depend on furo and drop sphinx-rtd-theme patch.
  * Update copyright.
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 15 Feb 2024 10:55:53 -0400

=== debian/tests/control ===
Test-Command: twine --help
Restrictions: superficial

Test-Command: twine --version
Restrictions: superficial

Tests: unittests
Depends:
 python3-build,
 python3-munch,
 python3-portend,
 python3-pretend,
 python3-pytest,
 python3-setuptools,
 twine

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/twine/twine-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## twine 5.1.0

=== debian/changelog ===
twine (5.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch metadata-2.3-tests, superseded upstream.
  * Patch: Use a MANIFEST.in to control SOURCES.txt generation.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 25 May 2024 11:52:24 -0400

twine (5.0.0-2) unstable; urgency=medium

  * Patch: Support pkginfo 1.10 in tests, which can parse metadata 2.3.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 24 Apr 2024 13:44:11 -0400

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
  debhelper-compat (= 13),
  dh-sequence-python3,
  dh-sequence-sphinxdoc <!nodoc>,
+ furo,
  pybuild-plugin-pyproject,
  python-requests-doc <!nodoc>,
  python3-all,
@@ -30,7 +31,7 @@
  python3-sphinx <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
  python3-sphinxcontrib.programoutput <!nodoc>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/python-team/packages/twine.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/twine
 Homepage: https://github.com/pypa/twine

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 endif
 
 override_dh_auto_test:
-	dh_auto_test -- \
+	TERM= dh_auto_test -- \
 	  --test-pytest \
 	  --test-args '--ignore tests/test_integration.py'

## twine 5.1.1

=== debian/changelog ===
twine (5.1.1-3) unstable; urgency=low

  * Team upload.
  * Add a real manpage for twine, and move the existing one to section 3.
    (Closes: #1029494)
  * Move the generated manpage to section 3.

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sat, 14 Sep 2024 12:41:14 +0200

twine (5.1.1-2) unstable; urgency=medium

  * Patch: Restore support for pkginfo 1.11.
  * Revert the Build-Depends restriction on python-pkginfo.
    (Closes: #1081549)

 -- Stefano Rivera <stefanor@debian.org>  Sat, 14 Sep 2024 10:13:45 +0200

twine (5.1.1-1) unstable; urgency=high

  * Team upload.
  * New upstream release.
    + Fix compatibility with python-importlib-metadata 8.x.
  * debian/control: Add an upper version requirement for build-dependency
    python-pkginfo (<< 1.11.0~) due to upstream issue 1116. This limit
    shall be solved with the next upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 30 Jun 2024 12:13:27 -0400

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,7 @@
 	PATH=$(CURDIR)/.pybuild/bin:$$PATH twine --help  # Sanity chcek
 	PATH=$(CURDIR)/.pybuild/bin:$$PATH python3 -m sphinx -b html docs docs/_build/html
 	PATH=$(CURDIR)/.pybuild/bin:$$PATH python3 -m sphinx -b man docs docs/_build/man
+	mv docs/_build/man/twine.1 docs/_build/man/twine.3
 endif
 
 override_dh_auto_test:

## twine 6.0.1

=== debian/changelog ===
twine (6.0.1-3) unstable; urgency=low

  * Team upload
  * Remove forgotten debug prints in d/rules
  * Add sed to Build-Depends

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sat, 07 Dec 2024 08:22:14 +0100

twine (6.0.1-2) unstable; urgency=low

  * Team upload
  * Restore the handwritten

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Thu, 05 Dec 2024 18:04:23 +0100

twine (6.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Drop patch pkginfo-1.11, superseded upstream.
  * Update Build-Depends.
  * Patch: Make python3-keyring optional (but Recommended).

 -- Stefano Rivera <stefanor@debian.org>  Tue, 03 Dec 2024 17:15:59 -0400

=== debian/control ===
--- 
+++ 
@@ -10,13 +10,14 @@
  dh-sequence-python3,
  dh-sequence-sphinxdoc <!nodoc>,
  furo,
+ sed,
  pybuild-plugin-pyproject,
  python-requests-doc <!nodoc>,
  python3-all,
  python3-doc <!nodoc>,
- python3-importlib-metadata (>= 3.6),
  python3-keyring,
  python3-munch,
+ python3-packaging,
  python3-pkginfo (>= 1.8.1),
  python3-portend,
  python3-pretend,

=== debian/tests/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 Tests: unittests
 Depends:
  python3-build,
+ python3-keyring,
  python3-munch,
  python3-portend,
  python3-pretend,

## twine 6.1.0

=== debian/changelog ===
twine (6.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Drop patch optional-dep-versions, superseded upstream.
  * Drop patch no-pytest-socket, in favour of Build-Depending on
    python3-pytest-socket, now available in Debian.
  * Build-Depend on python3-packaging (>= 24) instead of pkginfo.
  * Build-Depend on python3-id, used for "Trusted Publishing".
  * Drop Build-Depends on sed, it's essential.
  * Bump copyright years.
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 25 Jan 2025 16:11:20 -0400

=== debian/control ===
--- 
+++ 
@@ -10,18 +10,18 @@
  dh-sequence-python3,
  dh-sequence-sphinxdoc <!nodoc>,
  furo,
- sed,
  pybuild-plugin-pyproject,
  python-requests-doc <!nodoc>,
  python3-all,
  python3-doc <!nodoc>,
  python3-keyring,
+ python3-id,
  python3-munch,
- python3-packaging,
- python3-pkginfo (>= 1.8.1),
+ python3-packaging (>= 24),
  python3-portend,
  python3-pretend,
  python3-pytest,
+ python3-pytest-socket,
  python3-readme-renderer (>= 35),
  python3-requests,
  python3-requests-toolbelt,
@@ -32,7 +32,7 @@
  python3-sphinx <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
  python3-sphinxcontrib.programoutput <!nodoc>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/python-team/packages/twine.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/twine
 Homepage: https://github.com/pypa/twine

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,8 @@
 	PATH=$(CURDIR)/.pybuild/bin:$$PATH twine --help  # Sanity chcek
 	PATH=$(CURDIR)/.pybuild/bin:$$PATH python3 -m sphinx -b html docs docs/_build/html
 	PATH=$(CURDIR)/.pybuild/bin:$$PATH python3 -m sphinx -b man docs docs/_build/man
-	mv docs/_build/man/twine.1 docs/_build/man/twine.3
+	sed  's/.TH "TWINE" "1" /.TH "TWINE" "3" /g' < docs/_build/man/twine.1 > docs/_build/man/twine.3 # Set the file to section3
+	rm docs/_build/man/twine.1
 endif
 
 override_dh_auto_test:

=== debian/tests/control ===
--- 
+++ 
@@ -12,5 +12,6 @@
  python3-portend,
  python3-pretend,
  python3-pytest,
+ python3-pytest-socket,
  python3-setuptools,
  twine
